DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmAttributeFilter::IteratorBasedFilter< Iterator > Class Template Reference

A range-based filter implementation that compares an attribute's value with a range of values defined by two iterators. More...

Inheritance diagram for DcmAttributeFilter::IteratorBasedFilter< Iterator >:

## Public Member Functions
| IteratorBasedFilter (const Iterator &begin, const Iterator &end)
| construct an IteratorBasedFilter object from two iterators. More...
virtual OFBool | apply (const OFString &value)
| apply the actual filter. More...
Public Member Functions inherited from DcmAttributeFilter::FilterInterface
virtual | ~FilterInterface ()
| enable virtual destructor.

## Private Member Functions
| IteratorBasedFilter (const IteratorBasedFilter &)
| disable copy constructor.
IteratorBasedFilter & | operator= (const IteratorBasedFilter &)
| disable copy assignment.

## Private Attributes
Iterator const | m_Begin
| an iterator referring to the first element in the range of values.
Iterator const | m_End
| an iterator referring to one past the end in the range of values.

## Detailed Description

### template<typename Iterator>
class DcmAttributeFilter::IteratorBasedFilter< Iterator >

A range-based filter implementation that compares an attribute's value with a range of values defined by two iterators.

Template Parameters

  Iterator | a type matching the STL's ForwardIterator concept.

## Constructor & Destructor Documentation

## ◆ IteratorBasedFilter()

template<typename Iterator >

DcmAttributeFilter::IteratorBasedFilter< Iterator >::IteratorBasedFilter | ( | const Iterator & | begin,
|  | const Iterator & | end
| ) |  |
| inline

construct an IteratorBasedFilter object from two iterators.

Parameters

  begin | an iterator referring to the first element in the range of values.
  end | an iterator referring to one past the end in the range of values.

## Member Function Documentation

## ◆ apply()

template<typename Iterator >

virtual OFBool DcmAttributeFilter::IteratorBasedFilter< Iterator >::apply | ( | const OFString & | value | ) |
| inline virtual

apply the actual filter.

Parameters

  value | the value to be compared with the range of values.

Returns
  OFTrue if value matches one element in the range of values, OFFalse otherwise.

Implements DcmAttributeFilter::FilterInterface.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcfilter.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1